"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.assert = void 0;
/***
 * @module node-opcua-assert
 */
const chalk = require("chalk");
const PrettyError = require("pretty-error");
const pe = new PrettyError();
const displayAssert = process.env.DISPLAY_ASSERT ? true : false;
function assert(cond, message) {
    if (!cond) {
        const err = new Error(message);
        // istanbul ignore next
        if (displayAssert) {
            // tslint:disable:no-console
            console.log(chalk.whiteBright.bgRed("-----------------------------------------------------------"));
            console.log(chalk.whiteBright.bgRed(message));
            console.log(pe.render(err));
            console.log(chalk.whiteBright.bgRed("-----------------------------------------------------------"));
        }
        throw err;
    }
}
exports.assert = assert;
exports.default = assert;
//# sourceMappingURL=index.js.map