/// <reference types="node" />
import { TypeSchemaBase } from "node-opcua-factory";
import { CloseSecureChannelRequest, MessageSecurityMode, RequestHeader, ResponseHeader } from "node-opcua-service-secure-channel";
import { ServiceFault } from "./services";
export interface ResponseB {
    responseHeader: ResponseHeader;
    schema: TypeSchemaBase;
}
export declare type Response = ResponseB | ServiceFault;
export interface RequestB {
    requestHeader: RequestHeader;
    schema: TypeSchemaBase;
    securityMode: MessageSecurityMode;
}
export declare type Request = RequestB | CloseSecureChannelRequest;
export { ICertificateKeyPairProvider } from "node-opcua-common";
export declare function extractFirstCertificateInChain(certificateChain?: Buffer | null): Buffer | null;
export declare function getThumprint(certificateChain: Buffer | null): Buffer | null;
